Public Attributes | List of all members
ble_l2cap_enh_lecb_reconfig_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

Reconfig LE enhanced credit based connection parameter. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | local_mtu
| It indicates the maximum SDU size (in octets) that the L2CAP layer entity of local device can receive on these channels. More...
uint16_t | local_mps
| It indicates the maximum payload size (in octets) that the L2CAP layer entity of local device can receive on these channels. More...
uint16_t | chl_num
| It specifies the number of channel need to reconfigure, it shall not greater than 5. More...
uint16_t | local_cid [5]
| It represents the local channel endpoints need to reconfigure. More...

## Detailed Description

Reconfig LE enhanced credit based connection parameter.

Definition at line 169 of file ble_l2cap.h.

## Member Data Documentation

## ◆ chl_num

uint16_t ble_l2cap_enh_lecb_reconfig_t::chl_num

It specifies the number of channel need to reconfigure, it shall not greater than 5.

Definition at line 175 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_enh_lecb_reconfig_t::local_cid[5]

It represents the local channel endpoints need to reconfigure.

Definition at line 176 of file ble_l2cap.h.

## ◆ local_mps

uint16_t ble_l2cap_enh_lecb_reconfig_t::local_mps

It indicates the maximum payload size (in octets) that the L2CAP layer entity of local device can receive on these channels.

The local_mps can be greater than or less than or equal to the current MPS size of any channel.

Definition at line 173 of file ble_l2cap.h.

## ◆ local_mtu

uint16_t ble_l2cap_enh_lecb_reconfig_t::local_mtu

It indicates the maximum SDU size (in octets) that the L2CAP layer entity of local device can receive on these channels.

The local_mtu shall be greater than or equal to the greatest current MTU size of the channels.

Definition at line 171 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h